NaotoA Posted June 21, 2023 Posted June 21, 2023 Nice to meet you, I'm a LISP beginner. How can I create a LISP that changes 'open arrows' to 'filled arrows' regardless of whether they are currently used or not in the dimension style manager? Quote
Steven P Posted June 21, 2023 Posted June 21, 2023 (edited) If you start with the command you would usually use, in a LISP you can type (command " <command name> <any variables to add> ), the best way to do this is to do the command in AutoCAd and copy your text entries into the LISP as you go. Here you might use DimOverride. Where the command wants a selection of items, such as the Dimensions you can use 'pause' in the command list or supply that through the LISP. To get a list of items you want to use a Selection Set (search Lee Max SSget - his reference is the one I find easiest to understand) - create a selection set and save it into a variable, use that variable in the command, above To give something like this: (defun c:DimArrows ( / DimSS ) (setq MyArrow ".") ;; example "ArchTick" or "." for ClosedFilled (setq DimSS (ssget "_X" '((0 . "*DIM*"))) ) ;; select all entities that have 'DIM' in their type (command "dimoverride" "DimBlk" MyArrow "DimBlk1" MyArrow "DimBlk2" MyArrow "" DimSS "") ;; run the dimoverride command ) Edited June 21, 2023 by Steven P Quote
BIGAL Posted June 22, 2023 Posted June 22, 2023 (edited) This may be helpful. Trying to remember I think it was by number rather than Description. Some are not obvious (getvar 'dimblk) "Architectural tick" is "ArchTick" "Box" is "BoxBlank" "Dot" is "Dot" To find others change dimstyle arrows and (getvar 'dimblk) Edited June 22, 2023 by BIGAL 1 Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.